/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 流程与授权关系
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_def_process_auth")
@DynamicInsert
@DynamicUpdate
public class SpDefProcessAuth extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_authority = "authority";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 流程主键<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 授权（角色）<br>
   */
    @Column(name = "authority")
  private String authority;
  /**
   * 租户id<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 流程主键<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 流程主键<br>
   *
   * @param spId 流程主键
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 授权（角色）<br>
   */
  public String getAuthority()
  {
      return authority;
    }

  /**
   * 授权（角色）<br>
   *
   * @param authority 授权（角色）
   */
  public void setAuthority(String authority)
  {
      this.authority = authority;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpDefProcessAuth()
  {
  }

}
